# module Rake::InvocationExceptionMixin

### Public Instance Methods

chain() click to toggle source

Return the invocation chain (list of Rake tasks) that were in effect when this exception was detected by rake. May be null if no tasks were active.

    # File lib/rake/invocation_exception_mixin.rb, line 7
    def chain
      @rake_invocation_chain ||= nil
    end

chain=(value) click to toggle source

Set the invocation chain in effect when this exception was detected.

    # File lib/rake/invocation_exception_mixin.rb, line 13
    def chain=(value)
      @rake_invocation_chain = value
    end